libzypp: zypp::misc Namespace Reference

libzypp 17.38.14

zypp::misc Namespace Reference

## Namespaces
namespace | testcase

## Enumerations
enum | LoadSystemFlag { LS_READONLY = (1 << 0) , LS_NOREFRESH = (1 << 1) , LS_NOREPOS = (1 << 2) }
| Bits for tuning defaultLoadSystem. More...

## Functions
void | defaultLoadSystem (const Pathname &sysRoot_r="/", LoadSystemFlags flags_r=LoadSystemFlags()) ZYPP_API
| Create the ZYpp instance and load target and enabled repositories.
| ZYPP_DECLARE_FLAGS_AND_OPERATORS (LoadSystemFlags, LoadSystemFlag)
| relates: LoadSystemFlag Type-safe way of storing OR-combinations.
void | defaultLoadSystem (LoadSystemFlags flags_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Enumeration Type Documentation

## ◆ LoadSystemFlag

enum zypp::misc::LoadSystemFlag

Bits for tuning defaultLoadSystem.

Use LoadSystemFlags as a type-safe way of storing OR-combinations.

Enumerator
LS_READONLY | // Create readonly ZYpp instance.
LS_NOREFRESH | // Don't refresh existing repos.
LS_NOREPOS | // Don't loag existing repos (just Target).

Definition at line 33 of file DefaultLoadSystem.h.

## Function Documentation

## ◆ defaultLoadSystem() [1/2]

void zypp::misc::defaultLoadSystem | ( | const Pathname & | sysRoot_r = "/",
|  | LoadSystemFlags | flags_r = LoadSystemFlags() )

Create the ZYpp instance and load target and enabled repositories.

See also
  LoadSystemFlag for options.

Exceptions

  Exception | on error

Todo
  properly handle service refreshs

Definition at line 37 of file DefaultLoadSystem.cc.

## ◆ ZYPP_DECLARE_FLAGS_AND_OPERATORS()

zypp::misc::ZYPP_DECLARE_FLAGS_AND_OPERATORS | ( | LoadSystemFlags | ,
|  | LoadSystemFlag | )

relates: LoadSystemFlag Type-safe way of storing OR-combinations.

## ◆ defaultLoadSystem() [2/2]

void zypp::misc::defaultLoadSystem | ( | LoadSystemFlags | flags_r | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 55 of file DefaultLoadSystem.h.